Index: sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 5033)
+++ sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 5073)
@@ -675,4 +675,11 @@
 Sorry, but Mail Archiver does not seems to be running or installed at this workstation. By now, we are turning off local messages!	expressoMail1_2	pt-br	Desculpe, mas o Mail Archiver não parece estar rodando ou instalado nesta estação de trabalho. De momento, estamos desativando as mensagens locais!
 Mail Archiver is not responding. There is some communicating issue hang it up. Some services may not work properly. Check it out!	expressoMail1_2	pt-br	O Mail Archiver não está respondendo. Há algum problema de comunicação. Alguns serviços podem não funcionar corretamente. Verifique!
+Sorry, but you need to reload this web page. Click at reload page at web browsing top navigation.	expressoMail1_2	pt-br	Desculpe, mas você precisa recarregar esta página. Clique em recarregar na janela do seu navegador.
+Archiving messages on folder %1...	expressoMail1_2	pt-br	Arquivando mensagens na pasta %1...
+Archiving message %1 of %2	expressoMail1_2	pt-br	Arquivando mensagem %1 de %2
+Starting to archive messages	expressoMail1_2	pt-br	Iniciando o arquivamento de mensagens
+Archive error: %1	expressoMail1_2	pt-br	Falha ao arquivar: %1
+Message %1 of %2 successfully archived	expressoMail1_2	pt-br	Mensagem %1 de %2 arquivada com sucesso
+All done. End of archive messages operation	expressoMail1_2	pt-br	Concluído. Operação de arquivamento encerrada
 Outbox	expressoMail1_2	pt-br	Caixa de saída
-Sorry, but you need to reload this web page. Click at reload page at web browsing top navigation.	expressoMail1_2	pt-br	Desculpe, mas você precisa recarregar esta página. Clique em recarregar na janela do seu navegador.
+
Index: sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js	(revision 5071)
+++ sandbox/expressoMail1_2/MailArchiver/2.2/expressoMail1_2/js/mail_archiver.js	(revision 5073)
@@ -404,13 +404,13 @@
                 try{
                     //Archive services needs session id, message source and destination folder
-                    document.getElementById('main_title').innerHTML = get_lang("Archiving message on folder") + " " + fcaption +"...";
+                    document.getElementById('main_title').innerHTML = get_lang("Archiving messages on folder %1...", fcaption);
                     ArchiveServices.archive(expresso_mail_archive.getArchiveOperationOK, expresso_mail_archive.getArchiveOperationFailure, sessid, data ,expresso_mail_archive.folder_destination);
                 }
                 catch(e){
-                    window.alert('ArchiveServices.archive eror: ' + e);
+                    window.alert('ArchiveServices.archive error: ' + e);
                 }
             }
             
-            document.getElementById('main_title').innerHTML = get_lang("Archiving messages " + expresso_mail_archive.messages_processed + " of " + expresso_mail_archive.message_list.length);
+            document.getElementById('main_title').innerHTML = get_lang("Archiving message %1 of %2", expresso_mail_archive.messages_processed, expresso_mail_archive.message_list.length);
             cExecute("$this.exporteml.js_source_var",arch_handler,"folder="+url_decode(source_folder)+"&msgs_to_export="+expresso_mail_archive.message_list[0]);
         }
@@ -418,5 +418,5 @@
     }
     catch(e){
-        window.alert('Archive error: ' + e);
+        window.alert('Archive error: %1', e);
     }
 }
@@ -426,10 +426,10 @@
     expresso_mail_archive.messages_processed++;
     if(expresso_mail_archive.message_list.length > 1){
-       document.getElementById('main_title').innerHTML = get_lang("Message " + expresso_mail_archive.messages_processed + " of " + expresso_mail_archive.total_messages + " successfully archived.");
+       document.getElementById('main_title').innerHTML = get_lang("Message %1 of %2 successfully archived", expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages);
        expresso_mail_archive.message_list.shift();
        expresso_mail_archive.Archive(expresso_mail_archive.folder_origin, expresso_mail_archive.folder_destination, expresso_mail_archive.message_list);
     }
     else{
-        document.getElementById('main_title').innerHTML = get_lang("All done. End of archive messages operation.");
+        document.getElementById('main_title').innerHTML = get_lang("All done. End of archive messages operation");
         expresso_mail_archive.resetObject();
         window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
@@ -719,6 +719,7 @@
     var objectTree = expresso_mail_archive.drawdata.treeObject;
     var evalobjectTree = eval(expresso_mail_archive.drawdata.treeName);
-   
+      
     //Add nodes to tree
+    if(typeof(evalobjectTree) == 'object'){
     if(expresso_mail_archive.folders.length > 0){
         //window.alert('vai adicionar ' + expresso_mail_archive.folders.length + '  elementos na tree');
@@ -754,4 +755,5 @@
         //evalobjectTree.update_folder('local_root');
     }
+    }
 }
 