Index: trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 4997)
+++ trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 5079)
@@ -280,9 +280,12 @@
 	}
 
+	
 	/**
-	* 
+	* Decodifica a string da mensagem
+	*
 	* @license    http://www.gnu.org/copyleft/gpl.html GPL
-	* @param      string $string String a ser decodificada
-	* @return     string
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $string
 	* @todo       Verificar a possibilidade de se utilizar a função iconv_mime_decode, que é capaz de identificar a codificação por si só, mas que pode ser interpretada de forma diversa dependendo da implementação do sistema
 	* @todo       Executar testes suficientes para validar a funçao iconv_mime_decode em substituição à este método decode_string
@@ -338,4 +341,6 @@
 			return $this->htmlspecialchars_encode($string);
 	}
+	
+	
 	/**
 	* Função que importa arquivos .eml exportados pelo expresso para a caixa do usuário. Testado apenas
@@ -584,7 +589,10 @@
 
 	/**
-	* @license   http://www.gnu.org/copyleft/gpl.html GPL
-	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @param     $msg_number numero da mensagem
+	* Retorna a linha do Header da mensagem
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $msg_number
 	*/
 	function getRawHeader($msg_number)
@@ -593,8 +601,12 @@
 	}
 	
+	
 	/**
-	* @license   http://www.gnu.org/copyleft/gpl.html GPL
-	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @param     $msg_number numero da mensagem
+	* Retorna a linha do Corpo da mensagem
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $msg_number
 	*/
 	function getRawBody($msg_number)
@@ -605,7 +617,10 @@
 	
 	/**
-	* @license   http://www.gnu.org/copyleft/gpl.html GPL
-	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @param     $msg mensagem
+	* Constrói o Header da mensagem
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $msg
 	*/
 	function builderMsgHeader($msg)
@@ -638,9 +653,14 @@
     }
 	
-		/**
-        * Constroe o corpo da msg direto na variavel de conteudo
-        * @param Mail_mimeDecode $structure
-        * @param <type> $content Ponteiro para Variavel de conteudo da msg
-        */
+	/**
+	* Constrói o corpo da mensagem
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $structure
+	* @param      $content
+	* @param      $printHeader
+	*/
         function builderMsgBody($structure , &$content , $printHeader = false)
         {
@@ -765,7 +785,10 @@
 	
 	/**
-	* @license   http://www.gnu.org/copyleft/gpl.html GPL
-	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
-	* @param     $msg_number numero da mensagem
+	* Retorna o 
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $msg_number
 	*/
 	function get_msg_sample($msg_number)
@@ -814,4 +837,5 @@
 		return $return;
 	}
+	
 	
 	
@@ -1094,9 +1118,14 @@
 	}
 
-	/* 
- 	 * Converte textos utf8 para o padrão html. 
- 	 * @link http://php.net/manual/en/function.utf8-decode.php 
- 	 * @author luka8088 <luka8088@gmail.com> 
- 	 */ 
+	
+ 	/**
+	* Converte textos utf8 para o padrão html.
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @author     luka8088 <luka8088@gmail.com> 
+	* @param      $data
+	*/	
  	function utf8_to_html ($data) 
 	{
@@ -1117,9 +1146,13 @@
 	
 		/**
-         * Decodifica uma part da mensagem para iso-8859-1
-         * @param <type> $part parte do email
-         * @param <type> $encode codificação da parte
-         * @return <type> string decodificada
-         */
+		* Decodifica a parte do email
+		*
+		* @license    http://www.gnu.org/copyleft/gpl.html GPL
+		* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+		* @sponsor    Caixa Econômica Federal
+		* @param      $part
+		* @param      $encode
+		* @param      $html
+		*/
         function decodeMailPart($part, $encode, $html = true)
 		{
@@ -1530,4 +1563,13 @@
 
 
+	
+	/**
+	* Substitui os links do callback
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $matches
+	*/
 	function replace_links_callback($matches)  
 	{
Index: trunk/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 4457)
+++ trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 5079)
@@ -17,4 +17,12 @@
 	var $tempDir;
 	
+	
+	/**
+	* Construtor da classe ExportEml
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	*/
 	function ExportEml() {
 	   
Index: trunk/expressoMail1_2/inc/class.attachment.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.attachment.inc.php	(revision 4774)
+++ trunk/expressoMail1_2/inc/class.attachment.inc.php	(revision 5079)
@@ -291,10 +291,14 @@
 
 	
-	/** 
- 	* Write in $$attachments, array with the information of attachment 
- 	* @param <type> $structure 
- 	* @param <type> $attachments 
- 	* @param <type> $pIndex 
- 	*/ 
+	/**
+	* Write in $$attachments, array with the information of attachment 
+	*
+	* @license    http://www.gnu.org/copyleft/gpl.html GPL
+	* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @sponsor    Caixa Econômica Federal
+	* @param      $structure
+	* @param      $attachments
+	* @param      $pIndex
+	*/	
  	private function _pushAttachmentsInfo(&$structure, &$attachments, $pIndex = '0') 
  	{ 