Index: branches/2.2/phpgwapi/setup/setup.inc.php
===================================================================
--- branches/2.2/phpgwapi/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/phpgwapi/setup/setup.inc.php	(revision 5093)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.2.6';
+	$setup_info['phpgwapi']['version']   = '2.2.8';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.2';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: branches/2.2/phpgwapi/setup/tables_update.inc.php
===================================================================
--- branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 4849)
+++ branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 5093)
@@ -139,3 +139,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.2.6';
+	function phpgwapi_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: branches/2.2/news_admin/setup/setup.inc.php
===================================================================
--- branches/2.2/news_admin/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/news_admin/setup/setup.inc.php	(revision 5093)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.2.6';
+	$setup_info['news_admin']['version']   = '2.2.8';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
Index: branches/2.2/news_admin/setup/tables_update.inc.php
===================================================================
--- branches/2.2/news_admin/setup/tables_update.inc.php	(revision 4849)
+++ branches/2.2/news_admin/setup/tables_update.inc.php	(revision 5093)
@@ -49,3 +49,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+	$test[] = '2.2.6';
+	function news_admin_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
 ?>
Index: branches/2.2/reports/setup/setup.inc.php
===================================================================
--- branches/2.2/reports/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/reports/setup/setup.inc.php	(revision 5093)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.2.6';
+	$setup_info['reports']['version']   	= '2.2.8';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
Index: branches/2.2/mobile/setup/setup.inc.php
===================================================================
--- branches/2.2/mobile/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/mobile/setup/setup.inc.php	(revision 5093)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.6';
+	$setup_info['mobile']['version']   = '2.2.8';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: branches/2.2/filemanager/setup/setup.inc.php
===================================================================
--- branches/2.2/filemanager/setup/setup.inc.php	(revision 4250)
+++ branches/2.2/filemanager/setup/setup.inc.php	(revision 5093)
@@ -14,5 +14,5 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.2.2';
+	$setup_info['filemanager']['version'] = '2.2.8';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
Index: branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4849)
+++ branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 5093)
@@ -85,3 +85,9 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.2.6';
+	function expressoAdmin1_2_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 5093)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.2.6';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.8';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: branches/2.2/admin/setup/setup.inc.php
===================================================================
--- branches/2.2/admin/setup/setup.inc.php	(revision 4173)
+++ branches/2.2/admin/setup/setup.inc.php	(revision 5093)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.2.1';
+	$setup_info['admin']['version']   = '2.2.8';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
Index: branches/2.2/jabberit_messenger/setup/setup.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 5093)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.6';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.8';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: branches/2.2/calendar/setup/setup.inc.php
===================================================================
--- branches/2.2/calendar/setup/setup.inc.php	(revision 4849)
+++ branches/2.2/calendar/setup/setup.inc.php	(revision 5093)
@@ -13,5 +13,5 @@
 	$setup_info['calendar']['name']    = 'calendar';
 	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.6';
+	$setup_info['calendar']['version'] = '2.2.8';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: branches/2.2/calendar/setup/tables_update.inc.php
===================================================================
--- branches/2.2/calendar/setup/tables_update.inc.php	(revision 4849)
+++ branches/2.2/calendar/setup/tables_update.inc.php	(revision 5093)
@@ -92,3 +92,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+	$test[] = '2.2.6';
+	function calendar_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 4849)
+++ branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 5093)
@@ -126,3 +126,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.2.6';
+	function expressoMail1_2_upgrade2_2_6() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.8';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoMail1_2/setup/setup.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 4961)
+++ branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 5093)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.6';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.8';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';