Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/filtrar/FiltrarCompromissosAnoCorrenteTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/filtrar/FiltrarCompromissosAnoCorrenteTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/filtrar/FiltrarCompromissosAnoCorrenteTestCase.java	(revision 5099)
@@ -0,0 +1,30 @@
+package org.expressolivre.cte.calendar.filtrar;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.CalendarYearlyViewPage;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.1] Filtrar Compromisso
+ * 
+ * Caso de Teste: EL-929:Filtrar compromissos do ano corrente
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-929
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Sep 5, 2011 at 3:36:17 PM
+ * 
+ */
+public class FiltrarCompromissosAnoCorrenteTestCase extends
+		BaseCalendarTestCase {
+
+	@Test
+	public void filtrarCompromissoDoAnoCorrente() {
+		CalendarYearlyViewPage cyvp = cp.openYearlyView();
+
+		// TODO Verificar se eh possivel automatizar esse teste...
+	}
+
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEExclusaoAgendaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEExclusaoAgendaTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEExclusaoAgendaTestCase.java	(revision 5099)
@@ -4,4 +4,5 @@
 import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
 import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
+import org.testng.annotations.Optional;
 import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
@@ -26,5 +27,5 @@
 	@Test
 	public void permitirAcessoSomenteLeituraEExclusaoAgenda(String nomeUsuario,
-			String organizacao, String setor) {
+			String organizacao, @Optional("") String setor) {
 		AgendaPermissionPage app = super.openAgendaPermissionPage();
 
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEEdicaoAgendaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEEdicaoAgendaTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraEEdicaoAgendaTestCase.java	(revision 5099)
@@ -4,4 +4,5 @@
 import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
 import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
+import org.testng.annotations.Optional;
 import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
@@ -26,5 +27,5 @@
 	@Test
 	public void permitirAcessoSomenteLeituraAgenda(String nomeUsuario,
-			String organizacao, String setor) {
+			String organizacao, @Optional("") String setor) {
 		AgendaPermissionPage app = super.openAgendaPermissionPage();
 
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraAgendaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraAgendaTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAcessoSomenteLeituraAgendaTestCase.java	(revision 5099)
@@ -4,4 +4,5 @@
 import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
 import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
+import org.testng.annotations.Optional;
 import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
@@ -26,5 +27,5 @@
 	@Test
 	public void permitirAcessoSomenteLeituraAgenda(String nomeUsuario,
-			String organizacao, String setor) {
+			String organizacao, @Optional("") String setor) {
 		AgendaPermissionPage app = super.openAgendaPermissionPage();
 
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAdicaoAgendaTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAdicaoAgendaTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/compartilhar/PermitirAdicaoAgendaTestCase.java	(revision 5099)
@@ -4,4 +4,5 @@
 import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
 import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
+import org.testng.annotations.Optional;
 import org.testng.annotations.Parameters;
 import org.testng.annotations.Test;
@@ -25,5 +26,5 @@
 	@Test
 	public void permitirAcessoAdicao(String nomeUsuario, String organizacao,
-			String setor) {
+			@Optional("") String setor) {
 		AgendaPermissionPage app = super.openAgendaPermissionPage();
 
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoPrivadoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoPrivadoTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoPrivadoTestCase.java	(revision 5099)
@@ -0,0 +1,72 @@
+package org.expressolivre.cte.calendar.adicionar;
+
+import java.text.ParseException;
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+import java.util.Date;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentPage;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.2] Adicionar Compromisso
+ * 
+ * Caso de Teste: EL-939:Adicionar compromisso do tipo privado
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-939
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Sep 6, 2011 at 9:36:08 AM
+ * 
+ */
+public class AdicionarCompromissoPrivadoTestCase extends BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
+			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
+			"minutoFinal", "prioridade" })
+	@Test
+	public void adicionarCompromissoPrivado(@Optional("Normal") String tipo,
+			String titulo, @Optional("") String descricao,
+			@Optional("") String local, @Optional("") String dataInicial,
+			String horaInicial, String minutoInicial,
+			@Optional("") String dataFinal, String horaFinal,
+			String minutoFinal, @Optional("Normal") String prioridade)
+			throws ParseException {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		// Se a data final nao for informada, pega data corrente.
+		if ("".equals(dataFinal)) {
+			dataFinal = sdf2.format(cal.getTime());
+		}
+
+		// Transforma a data inicial informada (dd/MM/yyyy) para (yyyyMMdd)
+		Date dtIni = sdf2.parse(dataInicial);
+
+		AppointmentPage ap = super.newAppointment(sdf.format(dtIni));
+		ap.setType(tipo);
+		ap.setTitle(titulo);
+		ap.setDescription(descricao);
+		ap.setLocation(local);
+		ap.setStartDate(dataInicial);
+		ap.setStartHour(horaInicial);
+		ap.setStartMinute(minutoInicial);
+		ap.setEndDate(dataFinal);
+		ap.setEndHour(horaFinal);
+		ap.setEndMinute(minutoFinal);
+		ap.setPriority(prioridade);
+		ap.saveAppointment();
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoRestritoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoRestritoTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoRestritoTestCase.java	(revision 5099)
@@ -0,0 +1,72 @@
+package org.expressolivre.cte.calendar.adicionar;
+
+import java.text.ParseException;
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+import java.util.Date;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentPage;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.2] Adicionar Compromisso
+ * 
+ * Caso de Teste: EL-1265:Adicionar compromisso do tipo restrito
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1265
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Sep 6, 2011 at 9:36:08 AM
+ * 
+ */
+public class AdicionarCompromissoRestritoTestCase extends BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
+			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
+			"minutoFinal", "prioridade" })
+	@Test
+	public void adicionarCompromissoRestrito(@Optional("Normal") String tipo,
+			String titulo, @Optional("") String descricao,
+			@Optional("") String local, @Optional("") String dataInicial,
+			String horaInicial, String minutoInicial,
+			@Optional("") String dataFinal, String horaFinal,
+			String minutoFinal, @Optional("Normal") String prioridade)
+			throws ParseException {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		// Se a data final nao for informada, pega data corrente.
+		if ("".equals(dataFinal)) {
+			dataFinal = sdf2.format(cal.getTime());
+		}
+
+		// Transforma a data inicial informada (dd/MM/yyyy) para (yyyyMMdd)
+		Date dtIni = sdf2.parse(dataInicial);
+
+		AppointmentPage ap = super.newAppointment(sdf.format(dtIni));
+		ap.setType(tipo);
+		ap.setTitle(titulo);
+		ap.setDescription(descricao);
+		ap.setLocation(local);
+		ap.setStartDate(dataInicial);
+		ap.setStartHour(horaInicial);
+		ap.setStartMinute(minutoInicial);
+		ap.setEndDate(dataFinal);
+		ap.setEndHour(horaFinal);
+		ap.setEndMinute(minutoFinal);
+		ap.setPriority(prioridade);
+		ap.saveAppointment();
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoSemRepeticaoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoSemRepeticaoTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoSemRepeticaoTestCase.java	(revision 5099)
@@ -0,0 +1,73 @@
+package org.expressolivre.cte.calendar.adicionar;
+
+import java.text.ParseException;
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+import java.util.Date;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentPage;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Suite:[FUN03.2] Adicionar Compromisso
+ * 
+ * Caso de Teste: EL-940:Adicionar compromisso sem repeticao
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-940
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Feb 8, 2011 at 9:36:08 AM
+ * 
+ */
+public class AdicionarCompromissoSemRepeticaoTestCase extends
+		BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
+			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
+			"minutoFinal", "prioridade" })
+	@Test
+	public void adicionarCompromissoSemRepeticao(
+			@Optional("Normal") String tipo, String titulo,
+			@Optional("") String descricao, @Optional("") String local,
+			@Optional("") String dataInicial, String horaInicial,
+			String minutoInicial, @Optional("") String dataFinal,
+			String horaFinal, String minutoFinal,
+			@Optional("Normal") String prioridade) throws ParseException {
+
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
+		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
+
+		// Se a data inicial nao for informada, pega data corrente.
+		if ("".equals(dataInicial)) {
+			dataInicial = sdf2.format(cal.getTime());
+		}
+
+		// Se a data final nao for informada, pega data corrente.
+		if ("".equals(dataFinal)) {
+			dataFinal = sdf2.format(cal.getTime());
+		}
+
+		// Transforma a data inicial informada (dd/MM/yyyy) para (yyyyMMdd)
+		Date dtIni = sdf2.parse(dataInicial);
+
+		AppointmentPage ap = super.newAppointment(sdf.format(dtIni));
+		ap.setType(tipo);
+		ap.setTitle(titulo);
+		ap.setDescription(descricao);
+		ap.setLocation(local);
+		ap.setStartDate(dataInicial);
+		ap.setStartHour(horaInicial);
+		ap.setStartMinute(minutoInicial);
+		ap.setEndDate(dataFinal);
+		ap.setEndHour(horaFinal);
+		ap.setEndMinute(minutoFinal);
+		ap.setPriority(prioridade);
+		ap.saveAppointment();
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/LerNotificacaoCompromissoAgendadoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/LerNotificacaoCompromissoAgendadoTestCase.java	(revision 4962)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/LerNotificacaoCompromissoAgendadoTestCase.java	(revision 5099)
@@ -52,5 +52,4 @@
 		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
 		String texto = (String) aep.getAppointmentBody(id);
-		System.out.println(texto);
 		Assert.assertTrue(texto
 				.contains("VocÃª possui um compromisso agendado para "
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/adicionar/AdicionarCompromissoTestCase.java	(revision 4917)
+++ 	(revision )
@@ -1,87 +1,0 @@
-package org.expressolivre.cte.calendar.adicionar;
-
-import java.text.ParseException;
-import java.text.SimpleDateFormat;
-import java.util.Calendar;
-import java.util.Date;
-
-import org.expressolivre.cte.common.BaseCalendarTestCase;
-import org.expressolivre.cte.pages.calendar.AppointmentPage;
-import org.testng.annotations.Optional;
-import org.testng.annotations.Parameters;
-import org.testng.annotations.Test;
-
-/**
- * Suite:[FUN03.2] Adicionar Compromisso
- * 
- * Caso de Teste: EL-938:Adicionar compromisso
- * 
- * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
- * testcase&id=EL-938
- * 
- * Caso de Teste: EL-939:Adicionar compromisso do tipo privado
- * 
- * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
- * testcase&id=EL-939
- * 
- * Caso de Teste: EL-940:Adicionar compromisso sem repeticao
- * 
- * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
- * testcase&id=EL-940
- * 
- * Caso de Teste: EL-1265:Adicionar compromisso do tipo restrito
- * 
- * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
- * testcase&id=EL-1265
- * 
- * @author L.F.Estivalet (Serpro)
- * 
- *         Created on Feb 8, 2011 at 9:36:08 AM
- * 
- */
-public class AdicionarCompromissoTestCase extends BaseCalendarTestCase {
-
-	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
-			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
-			"minutoFinal", "prioridade" })
-	@Test
-	public void adicionarCompromisso(@Optional("Normal") String tipo,
-			String titulo, @Optional("") String descricao,
-			@Optional("") String local, @Optional("") String dataInicial,
-			String horaInicial, String minutoInicial,
-			@Optional("") String dataFinal, String horaFinal,
-			String minutoFinal, @Optional("Normal") String prioridade)
-			throws ParseException {
-
-		Calendar cal = Calendar.getInstance();
-		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
-		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");
-
-		// Se a data inicial nao for informada, pega data corrente.
-		if ("".equals(dataInicial)) {
-			dataInicial = sdf2.format(cal.getTime());
-		}
-
-		// Se a data final nao for informada, pega data corrente.
-		if ("".equals(dataFinal)) {
-			dataFinal = sdf2.format(cal.getTime());
-		}
-
-		// Transforma a data inicial informada (dd/MM/yyyy) para (yyyyMMdd)
-		Date dtIni = sdf2.parse(dataInicial);
-
-		AppointmentPage ap = super.newAppointment(sdf.format(dtIni));
-		ap.setType(tipo);
-		ap.setTitle(titulo);
-		ap.setDescription(descricao);
-		ap.setLocation(local);
-		ap.setStartDate(dataInicial);
-		ap.setStartHour(horaInicial);
-		ap.setStartMinute(minutoInicial);
-		ap.setEndDate(dataFinal);
-		ap.setEndHour(horaFinal);
-		ap.setEndMinute(minutoFinal);
-		ap.setPriority(prioridade);
-		ap.saveAppointment();
-	}
-}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/AceitarCompromissoTestCase.java	(revision 5099)
@@ -41,8 +41,6 @@
 		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
 		AppointmentStatusPage asp = aep.accept(id);
-		System.out.println("antes assert");
 		String message = asp.getMessage();
 
-		System.out.println("depois assert");
 		aep = asp.close();
 		// TODO espera um tempo ate a janela popup fechar. Rever essa
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoRestritoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoRestritoTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoRestritoTestCase.java	(revision 5099)
@@ -0,0 +1,91 @@
+package org.expressolivre.cte.calendar.visualizar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
+import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
+import org.openqa.selenium.WebElement;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Caso de Teste: EL-1275:Exibir compromisso restrito
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1275
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Set 12, 2011 at 10:57:43 AM
+ * 
+ */
+public class ExibirCompromissoRestritoTestCase extends BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
+			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
+			"minutoFinal", "prioridade" })
+	@Test
+	public void exibirCompromissoRestrito(@Optional("Normal") String tipo,
+			String titulo, @Optional("") String descricao,
+			@Optional("") String local, @Optional("") String dataInicial,
+			String horaInicial, String minutoInicial,
+			@Optional("") String dataFinal, String horaFinal,
+			String minutoFinal, @Optional("Normal") String prioridade) {
+
+		// Vai para visao diaria e pega o id do compromisso.
+		CalendarTodayViewPage ctvp = super.openTodayView();
+		String id = ctvp.getAppointmentId(titulo);
+
+		// Verifica se horario inicial esta aparecendo na lista.
+		boolean foundTime = ctvp.isStartTimePresent(horaInicial + ":"
+				+ minutoInicial);
+
+		// Procura o compromisso.
+		WebElement e = ctvp.findAppointment(horaInicial + ":" + minutoInicial
+				+ " " + horaFinal + ":" + minutoFinal + " - " + titulo);
+		boolean single = ctvp.isSingle(e);
+		boolean restrictAppointment = ctvp.isRestrict(e);
+
+		// Abre a pagina do compromisso e recupera as informacoes.
+		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
+		String title = avp.getTitle();
+		String start = avp.getAppointmentInfo(AppointmentViewPage.START);
+		String end = avp.getAppointmentInfo(AppointmentViewPage.END);
+		String priority = avp.getAppointmentInfo(AppointmentViewPage.PRIORITY);
+		String attachments = avp
+				.getAppointmentInfo(AppointmentViewPage.ATTACHMENTS);
+		String access = avp.getAppointmentInfo(AppointmentViewPage.ACCESS);
+		avp.ready();
+
+		// Verifica que esta tudo de acordo.
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
+		String today = sdf.format(cal.getTime());
+		// Verifica se o horario aparece.
+		Assert.assertTrue(foundTime);
+		// Verifica se o compromisso eh individual.
+		Assert.assertTrue(single);
+		// Verifica se o compromisso eh restrito.
+		Assert.assertTrue(restrictAppointment);
+		// Verifica o titulo na pagina de exibicao dos detalhes do compromisso.
+		Assert.assertEquals(title, titulo);
+		// Verifica hora inicial na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(start, today + " - " + horaInicial + ":"
+				+ minutoInicial);
+		// Verifica hora final na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(end, today + " - " + horaFinal + ":" + minutoFinal);
+		// Verifica prioridade na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(priority, prioridade);
+		Assert.assertEquals(access, "Privado");
+		// Verifica anexos na pagina de exibicao dos detalhes do compromisso.
+		Assert.assertEquals(attachments, "NÃ£o hÃ¡ anexos");
+
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoSemRepeticaoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoSemRepeticaoTestCase.java	(revision 5099)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/ExibirCompromissoSemRepeticaoTestCase.java	(revision 5099)
@@ -0,0 +1,86 @@
+package org.expressolivre.cte.calendar.visualizar;
+
+import java.text.SimpleDateFormat;
+import java.util.Calendar;
+
+import org.expressolivre.cte.common.BaseCalendarTestCase;
+import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
+import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
+import org.openqa.selenium.WebElement;
+import org.testng.Assert;
+import org.testng.annotations.Optional;
+import org.testng.annotations.Parameters;
+import org.testng.annotations.Test;
+
+/**
+ * Caso de Teste: EL-1274:Exibir compromisso sem repeticao
+ * 
+ * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
+ * testcase&id=EL-1274
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Set 6, 2011 at 4:12:43 PM
+ * 
+ */
+public class ExibirCompromissoSemRepeticaoTestCase extends BaseCalendarTestCase {
+
+	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
+			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
+			"minutoFinal", "prioridade" })
+	@Test
+	public void exibirCompromissoSemRepeticao(@Optional("Normal") String tipo,
+			String titulo, @Optional("") String descricao,
+			@Optional("") String local, @Optional("") String dataInicial,
+			String horaInicial, String minutoInicial,
+			@Optional("") String dataFinal, String horaFinal,
+			String minutoFinal, @Optional("Normal") String prioridade) {
+
+		// Vai para visao diaria e pega o id do compromisso.
+		CalendarTodayViewPage ctvp = super.openTodayView();
+		String id = ctvp.getAppointmentId(titulo);
+
+		// Verifica se horario inicial esta aparecendo na lista.
+		boolean foundTime = ctvp.isStartTimePresent(horaInicial + ":"
+				+ minutoInicial);
+
+		// Procura o compromisso.
+		WebElement e = ctvp.findAppointment(horaInicial + ":" + minutoInicial
+				+ " " + horaFinal + ":" + minutoFinal + " - " + titulo);
+		boolean single = ctvp.isSingle(e);
+
+		// Abre a pagina do compromisso e recupera as informacoes.
+		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
+		String title = avp.getTitle();
+		String start = avp.getAppointmentInfo(AppointmentViewPage.START);
+		String end = avp.getAppointmentInfo(AppointmentViewPage.END);
+		String priority = avp.getAppointmentInfo(AppointmentViewPage.PRIORITY);
+		String attachments = avp
+				.getAppointmentInfo(AppointmentViewPage.ATTACHMENTS);
+		avp.ready();
+
+		// Verifica que esta tudo de acordo.
+		Calendar cal = Calendar.getInstance();
+		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
+		String today = sdf.format(cal.getTime());
+		// Verifica se o horario aparece.
+		Assert.assertTrue(foundTime);
+		// Verifica se o compromisso eh individual.
+		Assert.assertTrue(single);
+		// Verifica o titulo na pagina de exibicao dos detalhes do compromisso.
+		Assert.assertEquals(title, titulo);
+		// Verifica hora inicial na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(start, today + " - " + horaInicial + ":"
+				+ minutoInicial);
+		// Verifica hora final na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(end, today + " - " + horaFinal + ":" + minutoFinal);
+		// Verifica prioridade na pagina de exibicao dos detalhes do
+		// compromisso.
+		Assert.assertEquals(priority, prioridade);
+		// Verifica anexos na pagina de exibicao dos detalhes do compromisso.
+		Assert.assertEquals(attachments, "NÃ£o hÃ¡ anexos");
+
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/MarcarTentativaCompromissoTestCase.java	(revision 5099)
@@ -50,7 +50,4 @@
 
 		AppointmentViewPage avp = aep.viewAppointment(id);
-		System.out.println(avp
-				.getAppointmentInfo(AppointmentViewPage.PARTICIPANTS));
-
 		Assert.assertEquals(message, "O compromisso foi aceito com sucesso!");
 	}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java	(revision 5025)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/calendar/visualizar/RejeitarCompromissoTestCase.java	(revision 5099)
@@ -50,7 +50,4 @@
 
 		AppointmentViewPage avp = aep.viewAppointment(id);
-		System.out.println(avp
-				.getAppointmentInfo(AppointmentViewPage.PARTICIPANTS));
-
 		Assert.assertEquals(message, "O compromisso foi rejeitado com sucesso!");
 