Index: branches/2.2/contactcenter/setup/setup.inc.php
===================================================================
--- branches/2.2/contactcenter/setup/setup.inc.php	(revision 4350)
+++ branches/2.2/contactcenter/setup/setup.inc.php	(revision 5104)
@@ -38,4 +38,5 @@
 	$setup_info['contactcenter']['hooks'][] = 'config_validate';
 	$setup_info['contactcenter']['hooks'][] = 'sidebox_menu';
+	$setup_info['contactcenter']['hooks'][] = 'settings';
 	
 	/* ContactCenter Tables */
Index: branches/2.2/contactcenter/inc/hook_preferences.inc.php
===================================================================
--- branches/2.2/contactcenter/inc/hook_preferences.inc.php	(revision 1409)
+++ branches/2.2/contactcenter/inc/hook_preferences.inc.php	(revision 5104)
@@ -17,6 +17,6 @@
 	$title = $appname;
 	$file = Array(
-		'Preferences'   => $GLOBALS['phpgw']->link('/index.php','menuaction=contactcenter.ui_preferences.index'),
-		'Grant Access'  => $GLOBALS['phpgw']->link('/index.php','menuaction=preferences.uiaclprefs.index&acl_app='.$appname),
+		'Preferences'	=> $GLOBALS['phpgw']->link('/preferences/preferences.php','appname='.$appname),
+		'Grant Access'	=> $GLOBALS['phpgw']->link('/index.php','menuaction=preferences.uiaclprefs.index&acl_app='.$appname),
 		//'Edit Categories' => $GLOBALS['phpgw']->link('/index.php','menuaction=preferences.uicategories.index&cats_app='.$appname . '&cats_level=True&global_cats=True')
 	);
Index: branches/2.2/contactcenter/inc/class.ui_preferences.inc.php
===================================================================
--- branches/2.2/contactcenter/inc/class.ui_preferences.inc.php	(revision 3707)
+++ branches/2.2/contactcenter/inc/class.ui_preferences.inc.php	(revision 5104)
@@ -20,101 +20,5 @@
 			'set_preferences' => true,
 		);
-		
-		function index()
-		{
-			$GLOBALS['phpgw_info']['flags']['app_header'] = lang('ContactCenter').' - '.lang('Preferences');
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
 
-			$GLOBALS['phpgw']->template->set_file(array('pref' => 'preferences.tpl'));
-
-			/* Get Saved Preferences */
-			$actual = $this->get_preferences();
-			
-			/* Get the catalog options */
-			$pCatalog = CreateObject('contactcenter.bo_people_catalog');
-			$types = $pCatalog->get_all_connections_types();
-			
-			if (is_array($types))
-			{
-				$options_email = '';
-				foreach($types as $id => $name)
-				{
-					$options_email .= '<option value="'.$id.'"';
-					
-					if ($actual['personCardEmail'] == $id)
-					{
-						$options_email .= ' selected ';
-					}
-				
-					$options_email .= '>'.$name."</option>\n";
-				}
-			
-				$options_phone = '';
-				foreach($types as $id => $name)
-				{
-					$options_phone .= '<option value="'.$id.'"';
-					
-					if ($actual['personCardPhone'] == $id)
-					{
-						$options_phone .= ' selected ';
-					}
-				
-					$options_phone .= '>'.$name."</option>\n";
-				}
-			}
-			else
-			{
-				$options_email = '';
-				$options_phone = '';
-			}
-			
-			if ($actual['displayConnector'] or !$actual['displayConnectorDefault'])
-			{
-				$GLOBALS['phpgw']->template->set_var('displayConnector', 'checked');
-			}
-			else
-			{
-				$GLOBALS['phpgw']->template->set_var('displayConnector', '');
-			}
-			
-			if ($actual['empNum'])
-			{
-				$GLOBALS['phpgw']->template->set_var('empNum', 'checked');
-			}
-			else
-			{
-				$GLOBALS['phpgw']->template->set_var('empNum', '');
-			}
-
-			if ($actual['cell'])
-			{
-				$GLOBALS['phpgw']->template->set_var('cell', 'checked');
-			}
-			else
-			{
-				$GLOBALS['phpgw']->template->set_var('cell', '');
-			}
-
-			if ($actual['department'])
-			{
-				$GLOBALS['phpgw']->template->set_var('department', 'checked');
-			}
-			else
-			{
-				$GLOBALS['phpgw']->template->set_var('department', '');
-			}
-
-			$GLOBALS['phpgw']->template->set_var('personCardEmail', $options_email);
-			$GLOBALS['phpgw']->template->set_var('personCardPhone', $options_phone);
-
-			/* Translate the fields */
-			$this->translate('pref');
-
-			$GLOBALS['phpgw']->template->set_var('form_action', $GLOBALS['phpgw']->link('/index.php', 'menuaction=contactcenter.ui_preferences.set_preferences'));
-
-			$GLOBALS['phpgw']->template->pparse('out', 'pref');
-		}
-		
 		function translate($handle)
 		{